Page MenuHomePhabricator

decommission ms-be101[678]
Open, Needs TriagePublic

Description

This task will track the decommission of server ms-be101[678]

With the launch of updates to the decom cookbook, the majority of these steps can be handled by the service owners directly. The DC Ops team only gets involved once the system has been fully removed from service and powered down by the decommission cookbook.

ms-be1016

Steps for service owner:

  • - all system services confirmed offline from production use
  • - set all icinga checks to maint mode/disabled while reclaim/decommmission takes place.
  • - remove system from all lvs/pybal active configuration
  • - any service group puppet/hiera/dsh config removed
  • - remove site.pp, replace with role(spare::system) recommended to ensure services offline but not 100% required as long as the decom script is IMMEDIATELY run below.
  • - login to cumin host and run the decom cookbook: cookbook sre.hosts.decommission <host fqdn> -t <phab task>. This does: bootloader wipe, host power down, netbox update to decommissioning status, puppet node clean, puppet node deactivate, debmonitor removal.
  • - remove all remaining puppet references (include role::spare) and all host entries in the puppet repo
  • - remove ALL dns entries except the asset tag mgmt entries.
  • - reassign task from service owner to DC ops team member depending on site of servee.

End service owner steps / Begin DC-Ops team steps:

  • - disable switch port / set to asset tag if host isn't being unracked / remove from switch if being unracked.
  • - system disks wiped (by onsite)
  • - determine system age, under 5 years are reclaimed to spare, over 5 years are decommissioned.
  • - IF DECOM: system unracked and decommissioned (by onsite), update netbox with result and set state to offline
  • - IF DECOM: switch port configration removed from switch once system is unracked.
  • - IF DECOM: add system to decommission tracking google sheet
  • - IF DECOM: mgmt dns entries removed.
  • - IF RECLAIM: set netbox state to 'inventory' and hostname to asset tag

ms-be1017

Steps for service owner:

  • - all system services confirmed offline from production use
  • - set all icinga checks to maint mode/disabled while reclaim/decommmission takes place.
  • - remove system from all lvs/pybal active configuration
  • - any service group puppet/hiera/dsh config removed
  • - remove site.pp, replace with role(spare::system) recommended to ensure services offline but not 100% required as long as the decom script is IMMEDIATELY run below.
  • - login to cumin host and run the decom cookbook: cookbook sre.hosts.decommission <host fqdn> -t <phab task>. This does: bootloader wipe, host power down, netbox update to decommissioning status, puppet node clean, puppet node deactivate, debmonitor removal.
  • - remove all remaining puppet references (include role::spare) and all host entries in the puppet repo
  • - remove ALL dns entries except the asset tag mgmt entries.
  • - reassign task from service owner to DC ops team member depending on site of servee.

End service owner steps / Begin DC-Ops team steps:

  • - disable switch port / set to asset tag if host isn't being unracked / remove from switch if being unracked.
  • - system disks wiped (by onsite)
  • - determine system age, under 5 years are reclaimed to spare, over 5 years are decommissioned.
  • - IF DECOM: system unracked and decommissioned (by onsite), update netbox with result and set state to offline
  • - IF DECOM: switch port configration removed from switch once system is unracked.
  • - IF DECOM: add system to decommission tracking google sheet
  • - IF DECOM: mgmt dns entries removed.
  • - IF RECLAIM: set netbox state to 'inventory' and hostname to asset tag

ms-be1018

Steps for service owner:

  • - all system services confirmed offline from production use
  • - set all icinga checks to maint mode/disabled while reclaim/decommmission takes place.
  • - remove system from all lvs/pybal active configuration
  • - any service group puppet/hiera/dsh config removed
  • - remove site.pp, replace with role(spare::system) recommended to ensure services offline but not 100% required as long as the decom script is IMMEDIATELY run below.
  • - login to cumin host and run the decom cookbook: cookbook sre.hosts.decommission <host fqdn> -t <phab task>. This does: bootloader wipe, host power down, netbox update to decommissioning status, puppet node clean, puppet node deactivate, debmonitor removal.
  • - remove all remaining puppet references (include role::spare) and all host entries in the puppet repo
  • - remove ALL dns entries except the asset tag mgmt entries.
  • - reassign task from service owner to DC ops team member depending on site of servee.

End service owner steps / Begin DC-Ops team steps:

  • - disable switch port / set to asset tag if host isn't being unracked / remove from switch if being unracked.
  • - system disks wiped (by onsite)
  • - determine system age, under 5 years are reclaimed to spare, over 5 years are decommissioned.
  • - IF DECOM: system unracked and decommissioned (by onsite), update netbox with result and set state to offline
  • - IF DECOM: switch port configration removed from switch once system is unracked.
  • - IF DECOM: add system to decommission tracking google sheet
  • - IF DECOM: mgmt dns entries removed.
  • - IF RECLAIM: set netbox state to 'inventory' and hostname to asset tag

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptWed, May 6, 12:39 PM

Mentioned in SAL (#wikimedia-operations) [2020-05-06T13:08:23Z] <godog> start swift decom ms-be101[678] - T252008

fgiunchedi moved this task from Backlog to Doing on the User-fgiunchedi board.Wed, May 6, 1:09 PM

Mentioned in SAL (#wikimedia-operations) [2020-05-07T07:44:06Z] <godog> further decrease weight for ms-be10[678] - T252008

Change 597003 had a related patch set uploaded (by Filippo Giunchedi; owner: Filippo Giunchedi):
[operations/puppet@production] hieradata: bump object replicator concurrency for decom'ing hosts

https://gerrit.wikimedia.org/r/597003

Mentioned in SAL (#wikimedia-operations) [2020-05-18T08:13:14Z] <godog> set weight to 0 for all but objects in ms-be10[678] - T252008

Change 597003 merged by Filippo Giunchedi:
[operations/puppet@production] hieradata: bump object replicator concurrency for decom'ing hosts

https://gerrit.wikimedia.org/r/597003

Mentioned in SAL (#wikimedia-operations) [2020-05-19T09:10:26Z] <godog> eqiad-prod: decom ms-be101[678] - T252008

Mentioned in SAL (#wikimedia-operations) [2020-05-26T12:43:21Z] <godog> swift eqiad-prod: decom ms-be101[678] - T252008

Mentioned in SAL (#wikimedia-operations) [2020-05-27T15:02:48Z] <godog> eqiad-prod: decom ms-be101[678] - T252008

Change 599275 had a related patch set uploaded (by Filippo Giunchedi; owner: Filippo Giunchedi):
[operations/puppet@production] Move ms-be101[678] to spares

https://gerrit.wikimedia.org/r/599275

Change 599275 merged by Filippo Giunchedi:
[operations/puppet@production] Move ms-be101[678] to spares

https://gerrit.wikimedia.org/r/599275

fgiunchedi renamed this task from Decom ms-be101[678] to decommission ms-be101[678].Thu, May 28, 7:35 AM
fgiunchedi edited projects, added decommission; removed Patch-For-Review.
fgiunchedi updated the task description. (Show Details)

cookbooks.sre.hosts.decommission executed by filippo@cumin1001 for hosts: ms-be1016.eqiad.wmnet

  • ms-be1016.eqiad.wmnet (PASS)
    • Downtimed host on Icinga
    • Found physical host
    • Downtimed management interface on Icinga
    • Wiped bootloaders
    • Powered off
    • Set Netbox status to Decommissioning
    • Removed from DebMonitor
    • Removed from Puppet master and PuppetDB

cookbooks.sre.hosts.decommission executed by filippo@cumin1001 for hosts: ms-be1017.eqiad.wmnet

  • ms-be1017.eqiad.wmnet (PASS)
    • Downtimed host on Icinga
    • Found physical host
    • Downtimed management interface on Icinga
    • Wiped bootloaders
    • Powered off
    • Set Netbox status to Decommissioning
    • Removed from DebMonitor
    • Removed from Puppet master and PuppetDB

cookbooks.sre.hosts.decommission executed by filippo@cumin1001 for hosts: ms-be1018.eqiad.wmnet

  • ms-be1018.eqiad.wmnet (PASS)
    • Downtimed host on Icinga
    • Found physical host
    • Downtimed management interface on Icinga
    • Wiped bootloaders
    • Powered off
    • Set Netbox status to Decommissioning
    • Removed from DebMonitor
    • Removed from Puppet master and PuppetDB

Change 601303 had a related patch set uploaded (by Filippo Giunchedi; owner: Filippo Giunchedi):
[operations/puppet@production] Decom ms-be101[678]

https://gerrit.wikimedia.org/r/601303

Change 601304 had a related patch set uploaded (by Filippo Giunchedi; owner: Filippo Giunchedi):
[operations/dns@master] Decom ms-be101[678]

https://gerrit.wikimedia.org/r/601304

Change 601303 merged by Filippo Giunchedi:
[operations/puppet@production] Decom ms-be101[678]

https://gerrit.wikimedia.org/r/601303

Change 601304 merged by Filippo Giunchedi:
[operations/dns@master] Decom ms-be101[678]

https://gerrit.wikimedia.org/r/601304

fgiunchedi updated the task description. (Show Details)
fgiunchedi edited projects, added ops-eqiad; removed Patch-For-Review, User-fgiunchedi.
fgiunchedi added subscribers: Jclark-ctr, Cmjohnson.

@Cmjohnson (or @Jclark-ctr) these hosts are ready for decom, thanks!

Restricted Application added a project: Operations. · View Herald TranscriptMon, Jun 1, 9:16 AM